releng-tools (56+git20240604043731.7c22390.trixie.production) trixie; urgency=medium

  * build_package: apply patches manually on binary diff builds

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 04 Jun 2024 00:37:31 -0400

releng-tools (55) trixie; urgency=medium

  * build_package: build binary and any on binary diff

 -- Bardia Moshiri <fakeshell@bardia.tech>  Mon, 03 Jun 2024 18:53:45 -0400

releng-tools (54) trixie; urgency=medium

  * build_package: install furios-apt-staging instead of droidians
  * build_package: deal with binary diffs

 -- Bardia Moshiri <fakeshell@bardia.tech>  Mon, 03 Jun 2024 18:07:18 -0400

releng-tools (53) trixie; urgency=medium

  * [releng-tools] build_package: always initialize submodules

 -- Jesús Higueras <jesus@dabbleam.com>  Fri, 10 May 2024 02:18:14 +0200

releng-tools (52) trixie; urgency=medium

  * [releng-tools] build_package: initialize submodules before syncing
  * circleci: add configs

 -- Jesús Higueras <jesus@dabbleam.com>  Fri, 03 May 2024 16:13:59 +0200

releng-tools (51) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling
  * [releng-tools] build_package: enable staging repository on staging builds

  [ Bardia Moshiri ]
  * drop remains of hybris-mobian and travis ci

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 24 Oct 2023 23:07:30 +0200

releng-tools (50) bookworm; urgency=medium

  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [releng-tools] build_changelog: support rolling releases

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 11 Jun 2023 13:42:39 +0200

releng-tools (49) bookworm; urgency=medium

  * [releng-tools] build_package: add PWD as a safe directory

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 29 Dec 2022 01:53:50 +0100

releng-tools (48) bookworm; urgency=medium

  * [build-package] Revert previous symlinks-related changes

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 13 Nov 2022 20:29:31 +0100

releng-tools (47) bookworm; urgency=medium

  * [build-package] Do the symlink hack before creating the orig tarfile

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 13 Nov 2022 18:30:12 +0100

releng-tools (46) bookworm; urgency=medium

  * [build-package] Handle broken symlinks

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 13 Nov 2022 18:09:31 +0100

releng-tools (45) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [build-package] Replace internal symlinks with the actual file on non-native builds

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 13 Nov 2022 17:39:31 +0100

releng-tools (43) bookworm; urgency=medium

  * [ci] Workaround for out-of-date docker image

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 07 Oct 2022 00:58:14 +0200

releng-tools (42) bookworm; urgency=medium

  * [build-package] Add support for CircleCI

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 07 Oct 2022 00:22:51 +0200

releng-tools (41) bookworm; urgency=medium

  * [releng-tools] build-package: exclude only toplevel files

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 14 Aug 2022 22:20:13 +0200

releng-tools (40) bookworm; urgency=medium

  * [releng-tools] build-package: recursively download submodules on native packages as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 07 Aug 2022 22:41:04 +0200

releng-tools (39) bookworm; urgency=medium

  * [releng-tools] build-package: recursively download submodules

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 07 Aug 2022 22:23:04 +0200

releng-tools (38) bookworm; urgency=medium

  * [releng-tools] build-package: always allow extra repos on bare containers

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 19 Jun 2022 15:43:34 +0200

releng-tools (37) bookworm; urgency=medium

  * [releng-tools] build_package: fetch eventual submodules on native packages as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 20 Feb 2022 22:17:32 +0100

releng-tools (36) bookworm; urgency=medium

  * [releng-tools] Move to bookworm

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 05 Dec 2021 01:02:21 +0100

releng-tools (35) bullseye; urgency=medium

  * [releng-tools] build_package.sh: always exclude .gitmodules when creating the diff on non-native packages

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 05 Sep 2021 14:19:47 +0200

releng-tools (34) bullseye; urgency=medium

  * build_package: always check-out eventual submodules from the new branch when building non-native packages

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 05 Sep 2021 13:01:07 +0200

releng-tools (33) bullseye; urgency=medium

  * [releng-tools] build-changelog: set latest_upstream only one time

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 03 Apr 2021 01:23:52 +0200

releng-tools (32) bullseye; urgency=medium

  * [ci] Restore new tag prefix [CI SKIP]
  * [releng-tools] build-changelog: handle cases where upstream/ is present but a downstream tag isn't

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 30 Mar 2021 00:01:46 +0200

releng-tools (31) bullseye; urgency=medium

  * [releng-tools] Pick up the new tag prefix
  * [releng-tools] build-changelog: allow specifying multiple tag prefixes
  * [releng-tools] build-package: support RELENG_LEGACY_TAG_PREFIX
  * [ci] Updated to match new name
  * [ci] Temporairly accept legacy tags

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 25 Mar 2021 01:01:06 +0100

releng-tools (30) bullseye; urgency=medium

  * [releng-tools] build-changelog: take in account eventual epochs on non-native feature branches

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 05 Mar 2021 01:02:20 +0100

releng-tools (29) bullseye; urgency=medium

  * [releng-tools] build-package: fix upstream tag retrieval for pre-releases

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 02 Mar 2021 23:21:12 +0100

releng-tools (28) bullseye; urgency=medium

  * [releng-tools] build-package: ensure the branch is checked-out and tracked after fetching

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 12 Dec 2020 20:25:29 +0100

releng-tools (27) bullseye; urgency=medium

  * [releng-tools] build-package: support containerized, but non-CI, environments
  * [releng-tools] build-package: support git-lfs
  * [packaging] Depend on git-lfs
  * [releng-tools] build-package: always fetch underlying branch when doing production builds on Drone

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 12 Dec 2020 19:55:42 +0100

releng-tools (26) bullseye; urgency=medium

  * [ci] Switch to Drone CI
  * [releng-tools] build-package: assume debian/drone.star as the CI_CONFIG on drone
  * [releng-tools] build-package: always fetch tags

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 30 Nov 2020 23:40:20 +0100

releng-tools (25) bullseye; urgency=medium

  * [releng-tools] build-package: allow overriding host architecture rather than target architecture, and workaround debuild bug

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 29 Nov 2020 23:28:28 +0100

releng-tools (24) bullseye; urgency=medium

  * [releng-tools] build-package: allow specifying target architecture

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 29 Nov 2020 17:27:37 +0100

releng-tools (23) bullseye; urgency=medium

  * [releng-tools] build-package: support Azure DevOps Pipelines

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 27 Nov 2020 01:19:49 +0100

releng-tools (22) bullseye; urgency=medium

  * [releng-tools] build-package: fix ARGS on branches when CI != Travis

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 03 Nov 2020 01:46:03 +0100

releng-tools (21) bullseye; urgency=medium

  * [releng-tools] build-package: support Drone CI builds (starlark)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 03 Nov 2020 00:00:25 +0100

releng-tools (20) bullseye; urgency=medium

  * [releng-tools] build-package: differentiate between staging and feature-branch builds
  * [releng-tools] build-package: handle extra repositories (EXTRA_REPOS env var) on feature-branch builds

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 31 Oct 2020 00:10:08 +0100

releng-tools (19) bullseye; urgency=medium

  * [releng-tools] build-package: use git diff to generate the orig patch

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 28 Oct 2020 01:01:26 +0100

releng-tools (18) bullseye; urgency=medium

  * [releng-tools] build_package: revert previous changes that made the source package being built separately

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 23 Oct 2020 00:37:24 +0200

releng-tools (17) bullseye; urgency=medium

  * [releng-tools] build-package: ensure debsource_dir gets created on native builds

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 22 Oct 2020 01:31:43 +0200

releng-tools (16) bullseye; urgency=medium

  * [releng-tools] build-package: try to workaround dpkg-buildpackage shenanigans

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 22 Oct 2020 00:35:32 +0200

releng-tools (15) bullseye; urgency=medium

  * [releng-tools] build-package: build source package separately from another directory (${debsource_dir})

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 22 Oct 2020 00:06:09 +0200

releng-tools (14) bullseye; urgency=medium

  * [releng-tools] build-package: do not prepend / on the find regex

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 11 Oct 2020 01:04:10 +0200

releng-tools (13) bullseye; urgency=medium

  * [releng-tools] build-package: search for artifacts in temp_dir

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 11 Oct 2020 00:31:26 +0200

releng-tools (12) bullseye; urgency=medium

  * [releng-tools] build-package: create the orig.tar.xz file inside temp_dir as we're going to build there

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 10 Oct 2020 20:51:03 +0200

releng-tools (11) bullseye; urgency=medium

  * [releng-tools] build-package: always copy the packaging directory in the orig_dir

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 10 Oct 2020 20:33:31 +0200

releng-tools (10) bullseye; urgency=medium

  * [releng-tools] build-package: build non-native packages in a pristine environment
  * [packaging] Depend on findutils

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 10 Oct 2020 20:12:27 +0200

releng-tools (9) bullseye; urgency=medium

  * [releng-tools] build-package: ensure the epoch gets stripped when creating orig tarfile

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 08 Oct 2020 20:52:10 +0200

releng-tools (8) bullseye; urgency=medium

  * [releng-tools] build-package: check Debian epoch rather than the ones used in tags

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 07 Oct 2020 14:15:53 +0200

releng-tools (7) bullseye; urgency=medium

  * [releng-tools] build-package: always refresh APT database
  * [releng-tools] build-package: always strip epoch when looking for the upstream tag

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 07 Oct 2020 01:23:21 +0200

releng-tools (6) bullseye; urgency=medium

  * [releng-tools] build-package: now that the transition period is over, always call releng-build-changelog
  * [releng-tools] build-package: manually create the orig tar from a pristine worktree rather than using git archive

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 02 Oct 2020 23:38:10 +0200

releng-tools (5) bullseye; urgency=medium

  * [releng-tools] travis: use the debian-package.yml snippet from hybris-mobian-releng/build-snippets
  * [releng-tools] build-package: call releng-build-changelog instead of our local ./build_changelog.py script

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 02 Oct 2020 01:40:56 +0200

releng-tools (4) bullseye; urgency=medium

  * [releng-tools] travis: added GPG signing support
  * [releng-tools] travis: include buildinfos when deploying

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 30 Sep 2020 23:35:16 +0200

releng-tools (3) bullseye; urgency=medium

  * [releng-tools] build-changelog: fix edge case when determining if the commit is the last one

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 20 Sep 2020 20:56:36 +0200

releng-tools (2) bullseye; urgency=medium

  * [packaging] install: fix build_changelog.py symlink

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 20 Sep 2020 20:33:15 +0200

releng-tools (1) bullseye; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #1 from hybris-mobian-releng/feature/bullseye/initial-implementation

  [ Eugenio Paolantonio (g7) ]
  * Initial commit
  * [releng-tools] Initial implementation
  * [releng-tools] README: ensure we display the badge for the 'bullseye' branch

 -- Eugenio Paolantonio <me@medesimo.eu>  Sun, 20 Sep 2020 20:25:59 +0200

